Topic: Problem with zip.so in php version 5.6

During the upgrade of php-5.6 I receive an error:

Unable to load dynamic library '/opt/remi/php56/root/usr/lib64/php/modules/zip.so' - /opt/remi/php56/root/usr/lib64/php/modules/zip.so: undefined symbol: zip_libzip_version in Unknown on line 0

This is kind of weird because also libzip5 was updated due to dependency. If I check the version it seems to be all-right:

rpm -qa --requires  php56-php-pecl-zip
libzip5(x86-64) >= 1.3.2

rpm -qa |grep libzip5
libzip5-1.5.1-1.el6.remi.x86_64

I have no idea if I am missing some kind of dependency?

Gijsbert

Re: Problem with zip.so in php version 5.6

You probably have an old version of the library in the path

What is the output of:   ldd /opt/remi/php56/root/usr/lib64/php/modules/zip.so

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: Problem with zip.so in php version 5.6

[root@server ~]# ldd /opt/remi/php56/root/usr/lib64/php/modules/zip.so
    linux-vdso.so.1 =>  (0x00007ffdec5fa000)
    libzip.so.5 => /usr/lib64/libzip.so.5 (0x00007f3d37742000)
    libc.so.6 => /lib64/libc.so.6 (0x00007f3d373ae000)
    libz.so.1 => /lib64/libz.so.1 (0x00007f3d37197000)
    libbz2.so.1 => /lib64/libbz2.so.1 (0x00007f3d36f86000)
    libssl.so.10 => /usr/lib64/libssl.so.10 (0x00007f3d36d1a000)
    libcrypto.so.10 => /usr/lib64/libcrypto.so.10 (0x00007f3d36934000)
    /lib64/ld-linux-x86-64.so.2 (0x00000038a9a00000)
    libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f3d366f0000)
    libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f3d36409000)
    libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f3d36204000)
    libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f3d35fd8000)
    libdl.so.2 => /lib64/libdl.so.2 (0x00007f3d35dd4000)
    libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f3d35bc8000)
    libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f3d359c5000)
    libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f3d357ab000)
    libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f3d3558d000)
    libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f3d3536e000)

Re: Problem with zip.so in php version 5.6

>    libzip.so.5 => /usr/lib64/libzip.so.5 (0x00007f3d37742000)

Hmm... should be ok...

rpm --verify libzip5
Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70